## open-infrastructure-service-tools 20220105

=== apache/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT = open-infrastructure
SOFTWARE = service-tools
PROGRAM = apache-icons

all: build

build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

	for ICON in share/icons/*; \
	do \
		ICON="$$(basename $${ICON})"; \
		mkdir -p build/$${ICON}-png; \
		mkdir -p build/$${ICON}-svg; \
		while read LINE; \
		do \
			TARGET="$$(echo $${LINE} | awk '{ print $$1 }')"; \
			SOURCE="$$(echo $${LINE} | awk '{ print $$2 }')"; \
			echo "Converting $${SOURCE} to $${TARGET}..."; \
			rsvg-convert -f svg -h 22 -w 22 share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-svg/$${TARGET}.svg; \
			rsvg-convert share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-png/$${TARGET}.orig.png; \
			convert -resize 22x22 build/$${ICON}-png/$${TARGET}.orig.png build/$${ICON}-png/$${TARGET}.png; \
			rm -f build/$${ICON}-png/$${TARGET}.orig.png; \
		done < share/maps/$${ICON}.txt; \
		sed -e 's|@FORMAT@|png|' share/apache/icon.conf.in > build/$${ICON}-png.conf; \
		sed -e 's|@FORMAT@|svg|' share/apache/icon.conf.in > build/$${ICON}-svg.conf; \
	done

install: build
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	cp -r ../VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	cp -r build/* $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)

	for DIRECTORY in $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/*-png; \
	do \
		cp -a share/common/*.png $${DIRECTORY}; \
	done

	for DIRECTORY in $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/*-svg; \
	do \
		cp -a share/common/*.svg $${DIRECTORY}; \
	done

	mkdir -p $(DESTDIR)/etc/apache2/conf-available
	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available

	mkdir -p $(DESTDIR)/etc/apache2/mods-available
	cp -a share/apache/mods/* $(DESTDIR)/etc/apache2/mods-available

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r ../CHANGELOG.txt ../LICENSE.txt README.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	for FILE in share/apache/conf/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/conf-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/conf-available || true

	for FILE in share/apache/mods/*; \
	do \
		rm -f $(DESTDIR)/etc/apache2/mods-available/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/apache2/mods-available || true

	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT) || true

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc/$(SOFTWARE) || true

clean:
	$(MAKE) -C share/man clean

	rm -rf build
	rm -f README.txt

distclean: clean

reinstall: uninstall install

.PHONY: build

=== git/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/* share/hooks/* share/hooks/*/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			if [ ! -d $${SCRIPT} ]; \
			then \
				shellcheck -e SC2039 $${SCRIPT} || true; \
				echo -n "."; \
			fi; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/git/hooks
	cp -r share/hooks/* $(DESTDIR)/usr/share/git/hooks

uninstall:
	rm -rf $(DESTDIR)/usr/share/git/hooks
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/git || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== irker/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			if [ ! -d $${SCRIPT} ]; \
			then \
				shellcheck -e SC1090 -e SC2039 $${SCRIPT} || true; \
				echo -n "."; \
			fi; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== knot-resolver/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== apache/share/man/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} service-tools |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== dehydrated/share/man/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../../VERSION.txt)

SHELL := sh -e

all: build

build: man

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} service-tools |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

distclean: clean

rebuild: clean build

=== debian/changelog ===
open-infrastructure-service-tools (20220105-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220105.
  * Updating packaging copyright for 2022.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jan 2022 08:07:31 +0100

open-infrastructure-service-tools (20211231-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211231.
  * Adding KEY_ALGO debconf handling in dehydrated-tools.
  * Updating control for vim-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Dec 2021 10:30:38 +0100

open-infrastructure-service-tools (20211213-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211213.
  * Removing superfluous debconf variables not used in dehydrated-tools
    config.
  * Removing wrongly transformation of debconf boolean for dehydrated
    register.
  * Adding dehydrated debconf question to run dehydrated.
  * Silencing downloading of tsig in dehydrated-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 13 Dec 2021 15:01:21 +0100

open-infrastructure-service-tools (20210928-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210928.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Sep 2021 21:14:38 +0200

open-infrastructure-service-tools (20210926-2) sid; urgency=medium

  * Uploading to sid.
  * Handling empty acme-challenges directory.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Sep 2021 16:45:34 +0200

open-infrastructure-service-tools (20210926-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210926.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Sep 2021 15:10:09 +0200

=== debian/control ===
Source: open-infrastructure-service-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 imagemagick,
 librsvg2-bin,
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://open-infrastructure.net/software/service-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools

Package: open-infrastructure-apache-tools
Section: admin
Architecture: all
Depends:
 apache2-data,
 ${misc:Depends},
Provides:
 apache-tools,
Enhances:
 apache2,
Description: additional tools for Apache HTTP server
 This package contains additional tools for the Apache HTTP server:
 .
   * alternative icons for Apache autoindex (Tango Icons and Font Awesome
     based themes)

#Package: open-infrastructure-dehydrated-tools
#Section: admin
#Architecture: all
#Depends:
# dehydrated,
# ssl-cert,
# ${misc:Depends},
#Provides:
# dehydrated-tools,
#Enhances:
# dehydrated,
#Description: additional tools for dehydrated Letsencrypt client
# This package contains additional tools for the dehydrated Letsencrypt client.

#Package: open-infrastructure-git-tools
#Section: admin
#Architecture: all
#Depends:
# git,
# ${misc:Depends},
#Provides:
# git-tools,
#Enhances:
# git,
#Description: additional tools for Git version control system
# This package contains additional tools for the Git version control system.

#Package: open-infrastructure-irker-tools
#Section: admin
#Architecture: all
#Depends:
# irker,
# ${misc:Depends},
#Provides:
# irker-tools,
#Enhances:
# irker,
#Description: additional tools for irker IRC notification daemon
# This package contains additional tools for the irker IRC notification daemon:

#Package: open-infrastructure-knot-tools
#Section: admin
#Architecture: all
#Depends:
# knot,
# ${misc:Depends},
#Provides:
# knot-tools,
#Enhances:
# knot,
#Description: additional tools for knot DNS server
# This package contains additional tools for the knot DNS server.

#Package: open-infrastructure-knot-resolver-tools
#Section: admin
#Architecture: all
#Depends:
# knot-resolver,
# ${misc:Depends},
#Provides:
# knot-resolver-tools,
#Enhances:
# knot-resolver,
#Description: additional tools for knot DNS resolver
# This package contains additional tools for the knot DNS resolver.

#Package: open-infrastructure-vim-tools
#Section: admin
#Architecture: all
#Depends:
# vim,
# ${misc:Depends},
#Provides:
# vim-tools,
#Enhances:
# vim,
#Description: additional tools for vim text editor
# This package contains additional tools for the vim text editor.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGES := $(shell dh_listpackages | cut -d '-' -f 3- | sed -e 's|-tools$$||')

%:
	dh ${@} --with apache2

override_dh_auto_build:
	# disabled

override_dh_auto_clean:
	for PACKAGE in $(PACKAGES); \
	do \
		$(MAKE) -C $${PACKAGE} clean; \
	done

override_dh_auto_install:
	for PACKAGE in $(PACKAGES); \
	do \
		$(MAKE) -C $${PACKAGE} DESTDIR=$(CURDIR)/debian/open-infrastructure-$${PACKAGE}-tools install; \
	done

	# apache-tools
	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/CHANGELOG.txt
	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/LICENSE.txt
	-mv debian/open-infrastructure-apache-tools/usr/share/doc/* debian/open-infrastructure-apache-tools/usr/share/doc/open-infrastructure-apache-tools

## open-infrastructure-service-tools 20220704

=== Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

VERSION := $(shell cat VERSION.txt)
TOOLS := $(shell find . -mindepth 1 -maxdepth 1 -type d -and -not -name ".*" -and -not -name debian)

all: build

test:
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} test; \
		echo; \
	done

build:
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} build; \
		echo; \
	done

install: build
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} install; \
		echo; \
	done

uninstall:
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} uninstall; \
		echo; \
	done

clean:
	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} clean; \
		echo; \
	done

distclean:
	rm -rf service-tools-$(VERSION)

	@for TOOL in $(TOOLS); \
	do \
		echo "Processing $${TOOL}..."; \
		make -C $${TOOL} distclean; \
		echo; \
	done

reinstall: uninstall install

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir service-tools-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name service-tools-$(VERSION) -exec cp \-a {} service-tools-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../service-tools-$(VERSION).tar.$${EXTENSION} service-tools-$(VERSION); \
		sha512sum ../service-tools-$(VERSION).tar.$${EXTENSION} > ../service-tools-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 0xB62C61A10B93195F --armor -b ../service-tools-$(VERSION).tar.$${EXTENSION}; \
		mv ../service-tools-$(VERSION).tar.$${EXTENSION}.asc ../service-tools-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf service-tools-$(VERSION)

upload:
	scp ../service-tools-$(VERSION).* get.open-infrastructure.net:/srv/get.open-infrastructure.net/software/service-tools/upstream

=== debian/changelog ===
open-infrastructure-service-tools (20220704-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220704.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Jul 2022 19:14:00 +0200

open-infrastructure-service-tools (20220626-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220626.
  * Adding support for preseeding multiple certificates in dehydrated-
    tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Jun 2022 19:11:03 +0200

open-infrastructure-service-tools (20220624-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220624 (Closes: #1013624).
  * Adding dehydrated-tools TODO.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 24 Jun 2022 13:51:57 +0200

open-infrastructure-service-tools (20220615-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220615.
  * Avoid running linux-i40e automatically after installation and
    upgrades.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 17 Jun 2022 00:03:31 +0200

open-infrastructure-service-tools (20220614-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220614.
  * Simplifying rules file by removing overrides superseeded by upstream
    makefile.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Jun 2022 13:54:48 +0200

open-infrastructure-service-tools (20220609-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220609.
  * Updating control for dnsdist-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 09 Jun 2022 16:20:48 +0200

open-infrastructure-service-tools (20220525-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220525.
  * Updating control for ethtool-tools rename.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 24 May 2022 11:37:52 +0200

open-infrastructure-service-tools (20220524-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220524.
  * Updating to standards version 4.6.1.
  * Updating control for ethtool-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 24 May 2022 06:17:17 +0200

open-infrastructure-service-tools (20220430-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220430.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 01 May 2022 00:02:39 +0200

open-infrastructure-service-tools (20220414-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220414.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 14 Apr 2022 22:15:08 +0200

open-infrastructure-service-tools (20220105-2) sid; urgency=medium

  * Uploading to sid.
  * Adding socat to knot-resolver-tools depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 Feb 2022 10:15:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  librsvg2-bin,
  python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://open-infrastructure.net/software/service-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
@@ -43,6 +43,19 @@
 # dehydrated,
 #Description: additional tools for dehydrated Letsencrypt client
 # This package contains additional tools for the dehydrated Letsencrypt client.
+
+#Package: open-infrastructure-dnsdist-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# dnsdist,
+# ${misc:Depends},
+#Provides:
+# dnsdist-tools,
+#Enhances:
+# dnsdist,
+#Description: additional tools for dnsdist
+# This package contains additional tools for the dnsdist.
 
 #Package: open-infrastructure-git-tools
 #Section: admin
@@ -88,6 +101,7 @@
 #Architecture: all
 #Depends:
 # knot-resolver,
+# socat,
 # ${misc:Depends},
 #Provides:
 # knot-resolver-tools,
@@ -95,6 +109,19 @@
 # knot-resolver,
 #Description: additional tools for knot DNS resolver
 # This package contains additional tools for the knot DNS resolver.
+
+#Package: open-infrastructure-linux-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# ethtool,
+# ${misc:Depends},
+#Provides:
+# linux-tools,
+#Enhances:
+# ethtool,
+#Description: additional tools for Linux kernel related things
+# This package contains additional tools for the Linux kernel.
 
 #Package: open-infrastructure-vim-tools
 #Section: admin

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,6 @@
 
 %:
 	dh ${@} --with apache2
-
-override_dh_auto_build:
-	# disabled
-
-override_dh_auto_clean:
-	for PACKAGE in $(PACKAGES); \
-	do \
-		$(MAKE) -C $${PACKAGE} clean; \
-	done
 
 override_dh_auto_install:
 	for PACKAGE in $(PACKAGES); \
@@ -24,3 +15,9 @@
 	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/CHANGELOG.txt
 	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/LICENSE.txt
 	-mv debian/open-infrastructure-apache-tools/usr/share/doc/* debian/open-infrastructure-apache-tools/usr/share/doc/open-infrastructure-apache-tools
+
+ifeq (open-infrastructure-linux-tools,$(findstring open-infrastructure-linux-tools,$(PACKAGES)))
+override_dh_installsystemd:
+	dh_installsystemd -p open-infrastructure-linux-tools --no-restart-after-upgrade --no-start --no-stop-on-upgrade
+	dh_installsystemd --remaining-packages
+endif

## open-infrastructure-service-tools 20221122

=== debian/changelog ===
open-infrastructure-service-tools (20221122-3) sid; urgency=medium

  * Uploading to sid.
  * Reverting downgrade of apache2 depends to suggests (Closes: #1029436).
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 09:37:07 +0100

open-infrastructure-service-tools (20221122-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Downgrading apache2-data depends to suggests.
  * Adding missing breaks and replaces for apache-tools package renaming
    (Closes: #1028060).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 16 Jan 2023 14:30:31 +0100

open-infrastructure-service-tools (20221122-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221122.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 22 Nov 2022 15:37:18 +0100

open-infrastructure-service-tools (20221108-2) sid; urgency=medium

  * Uploading to sid.
  * Renaming apache-tools package to service-tools to avoid future micro-
    packaging by using one consistent name for the binary package.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Nov 2022 15:51:59 +0100

open-infrastructure-service-tools (20221108-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221108.
  * Adding preseeding for preferred-chain in dehydrated.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Nov 2022 11:46:45 +0100

open-infrastructure-service-tools (20221101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221101.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2022 10:32:56 +0100

open-infrastructure-service-tools (20221030-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221030.
  * Updating http links to https in copyright.
  * Updating control for kea-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Oct 2022 13:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,42 @@
  librsvg2-bin,
  python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://open-infrastructure.net/software/service-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
 
-Package: open-infrastructure-apache-tools
+Package: open-infrastructure-service-tools
 Section: admin
 Architecture: all
 Depends:
  apache2-data,
  ${misc:Depends},
-Provides:
- apache-tools,
+Breaks:
+ open-infrastructure-apache-tools (<< 20221108-2),
+Replaces:
+ open-infrastructure-apache-tools,
 Enhances:
  apache2,
-Description: additional tools for Apache HTTP server
- This package contains additional tools for the Apache HTTP server:
+Description: additional tools to ease system administration and integration
+ This package contains some usefull tools, e.g.:
  .
    * alternative icons for Apache autoindex (Tango Icons and Font Awesome
      based themes)
+
+Package: open-infrastructure-apache-tools
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends:
+ open-infrastructure-service-tools,
+ ${misc:Depends},
+Description: additional tools for Apache HTTP server (transitional package)
+ Package to ease upgrading from older open-infrastructure-apache-tools package
+ to the new open-infrastructure-service-tools package.
+ .
+ This package can be purged at anytime once the open-infrastructure-service-tools
+ package has been installed.
 
 #Package: open-infrastructure-dehydrated-tools
 #Section: admin
@@ -83,6 +99,19 @@
 #Description: additional tools for irker IRC notification daemon
 # This package contains additional tools for the irker IRC notification daemon:
 
+#Package: open-infrastructure-kea-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# kea,
+# ${misc:Depends},
+#Provides:
+# kea-tools,
+#Enhances:
+# kea,
+#Description: additional tools for kea DHCP server
+# This package contains additional tools for the kea DHCP server.
+
 #Package: open-infrastructure-knot-tools
 #Section: admin
 #Architecture: all

## open-infrastructure-service-tools 20221223

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,11 @@
 
 SHELL := sh -e
 
+PROJECT = open-infrastructure
+SOFTWARE = service-tools
+
 VERSION := $(shell cat VERSION.txt)
+
 TOOLS := $(shell find . -mindepth 1 -maxdepth 1 -type d -and -not -name ".*" -and -not -name debian)
 
 all: build
@@ -65,7 +69,7 @@
 	done
 
 distclean:
-	rm -rf service-tools-$(VERSION)
+	rm -rf $(SOFTWARE)-$(VERSION)
 
 	@for TOOL in $(TOOLS); \
 	do \
@@ -80,19 +84,19 @@
 	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
 	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true
 
-	mkdir service-tools-$(VERSION)
-	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name service-tools-$(VERSION) -exec cp \-a {} service-tools-$(VERSION) \;
+	mkdir $(SOFTWARE)-$(VERSION)
+	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;
 
 	for FORMAT in xz lzip; \
 	do \
 		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
-		tar --$${FORMAT} -cf ../service-tools-$(VERSION).tar.$${EXTENSION} service-tools-$(VERSION); \
-		sha512sum ../service-tools-$(VERSION).tar.$${EXTENSION} > ../service-tools-$(VERSION).tar.$${EXTENSION}.sha512; \
-		gpg --default-key 0xB62C61A10B93195F --armor -b ../service-tools-$(VERSION).tar.$${EXTENSION}; \
-		mv ../service-tools-$(VERSION).tar.$${EXTENSION}.asc ../service-tools-$(VERSION).tar.$${EXTENSION}.sig; \
+		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
+		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
+		gpg --default-key 0xB62C61A10B93195F --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
+		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
 	done
 
-	rm -rf service-tools-$(VERSION)
+	rm -rf $(SOFTWARE)-$(VERSION)
 
 upload:
-	scp ../service-tools-$(VERSION).* get.open-infrastructure.net:/srv/get.open-infrastructure.net/software/service-tools/upstream
+	scp ../$(SOFTWARE)-$(VERSION).* get.open-infrastructure.net:/srv/get.open-infrastructure.net/software/$(SOFTWARE)/upstream

=== apache/Makefile ===
--- 
+++ 
@@ -24,6 +24,8 @@
 PROGRAM = apache-icons
 
 all: build
+
+test:
 
 build: share/man/*.rst
 	$(MAKE) -C share/man

=== dehydrated/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/* share/hooks/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC1090 -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build: share/man/*.rst
	$(MAKE) -C share/man

install: build
	mkdir -p $(DESTDIR)/etc/dehydrated/hook.d

	mkdir -p $(DESTDIR)/etc/cron.d
	cp -r share/cron/* $(DESTDIR)/etc/cron.d

	mkdir -p $(DESTDIR)/etc/cron.daily
	ln -s /usr/bin/dehydrated-cron $(DESTDIR)/etc/cron.daily/dehydrated

	mkdir -p $(DESTDIR)/etc/logrotate.d
	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/share/dehydrated/hooks
	cp -r share/hooks/* $(DESTDIR)/usr/share/dehydrated/hooks

	ln -sf /usr/bin/dehydrated-nsupdate $(DESTDIR)/usr/share/dehydrated/hooks/clean_challenge.nsupdate
	ln -sf /usr/bin/dehydrated-nsupdate $(DESTDIR)/usr/share/dehydrated/hooks/deploy_challenge.nsupdate

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/dehydrated/hooks
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/dehydrated || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	for FILE in share/logrotate/*; \
	do \
		rm -f $(DESTDIR)/etc/logrotate.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/logrotate.d || true

	rm -f $(DESTDIR)/etc/cron.daily/dehydrated
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.daily || true

	for FILE in share/cron/*; \
	do \
		rm -f $(DESTDIR)/etc/cron.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.d || true

	rm -rf $(DESTDIR)/etc/dehydrated/hook.d
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/dehydrated || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

distclean: clean

reinstall: uninstall install

=== knot/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/etc/cron.d
	cp -r share/cron/* $(DESTDIR)/etc/cron.d

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

uninstall:
	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	for FILE in share/cron/*; \
	do \
		rm -f $(DESTDIR)/etc/cron.d/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/cron.d || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== linux/Makefile ===
# Open Infrastructure: service-tools

# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SCRIPTS = bin/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck -e SC2039 $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build:

install: build
	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/lib/systemd/system
	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system

uninstall:
	for FILE in share/systemd/*; \
	do \
		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
	done

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:

distclean:

reinstall: uninstall install

=== debian/changelog ===
open-infrastructure-service-tools (20221223-2) sid; urgency=medium

  * Uploading to sid.
  * Updating control for apt-tools.
  * Updating control for znuny-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Mar 2023 20:27:19 +0100

open-infrastructure-service-tools (20221223-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221223.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Feb 2023 19:00:15 +0100

=== debian/control ===
--- 
+++ 
@@ -45,6 +45,19 @@
  .
  This package can be purged at anytime once the open-infrastructure-service-tools
  package has been installed.
+
+#Package: open-infrastructure-apt-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# apt,
+# ${misc:Depends},
+#Provides:
+# apt-tools,
+#Enhances:
+# apt,
+#Description: additional tools for apt
+# This package contains additional tools for apt.
 
 #Package: open-infrastructure-dehydrated-tools
 #Section: admin
@@ -164,3 +177,16 @@
 # vim,
 #Description: additional tools for vim text editor
 # This package contains additional tools for the vim text editor.
+
+#Package: open-infrastructure-znuny-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# znuny,
+# ${misc:Depends},
+#Provides:
+# znuny-tools,
+#Enhances:
+# znuny,
+#Description: additional tools for znuny ticketing system
+# This package contains additional tools for the znuny ticketing system.

## open-infrastructure-service-tools 20221227

=== debian/changelog ===
open-infrastructure-service-tools (20221227-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221227.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 27 Jun 2023 11:24:22 +0200

open-infrastructure-service-tools (20221226-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221226.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 20 Jun 2023 06:29:08 +0200

open-infrastructure-service-tools (20221225-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221225.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 19 Jun 2023 07:43:09 +0200

open-infrastructure-service-tools (20221224-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221224.
  * Adding old package name in depends for znuny.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Jun 2023 14:58:07 +0200

=== debian/control ===
--- 
+++ 
@@ -182,11 +182,11 @@
 #Section: admin
 #Architecture: all
 #Depends:
-# znuny,
+# znuny | otrs2,
 # ${misc:Depends},
 #Provides:
 # znuny-tools,
 #Enhances:
-# znuny,
+# znuny | otrs2,
 #Description: additional tools for znuny ticketing system
 # This package contains additional tools for the znuny ticketing system.

## open-infrastructure-service-tools 20221228

=== debian/changelog ===
open-infrastructure-service-tools (20221228-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221228.
  * Adding supermicro-tools in control.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Sep 2023 15:19:31 +0200

=== debian/control ===
--- 
+++ 
@@ -165,6 +165,19 @@
 #Description: additional tools for Linux kernel related things
 # This package contains additional tools for the Linux kernel.
 
+#Package: open-infrastructure-supermicro-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# supermicro-ipmicfg,
+# ${misc:Depends},
+#Provides:
+# supermicro-tools,
+#Enhances:
+# supermicro-ipmicfg,
+#Description: additional tools for Supermicro servers
+# This package contains additional tools for Supermicro servers.
+
 #Package: open-infrastructure-vim-tools
 #Section: admin
 #Architecture: all
